Loading...
Searching...
No Matches
svn_location_segment_t Struct Reference
Node location segment reporting.

A representation of a segment of an object's version history with an emphasis on the object's location in the repository as of various revisions. More...

`#include <svn_types.h>`

## Data Fields

svn_revnum_t | range_start
| The beginning (oldest) and ending (youngest) revisions for this segment, both inclusive.
svn_revnum_t | range_end
const char * | path
| The absolute (sans leading slash) path for this segment.

## Detailed Description

A representation of a segment of an object's version history with an emphasis on the object's location in the repository as of various revisions.

Since
  New in 1.5.

Definition at line 1204 of file svn_types.h.

## Field Documentation

## path

const char* svn_location_segment_t::path

The absolute (sans leading slash) path for this segment.

May be NULL to indicate gaps in an object's history.

Definition at line 1213 of file svn_types.h.

## range_end

svn_revnum_t svn_location_segment_t::range_end

Definition at line 1209 of file svn_types.h.

## range_start

svn_revnum_t svn_location_segment_t::range_start

The beginning (oldest) and ending (youngest) revisions for this segment, both inclusive.

Definition at line 1208 of file svn_types.h.

The documentation for this struct was generated from the following file:

- svn_types.h